REBOOT(8)

NAME
reboot - reboot the system immediately

SYNOPSIS
reboot [-f]

DESCRIPTION
Reboot can be used to reboot the system after installing a new kernel. It does not inform the users, but does log it's actions in /usr/adm/wtmp and /usr/adm/log. The system is then rebooted with the reboot(2) systemcall.

If the -f flag is not given then all processes are sent terminate signals to give them a chance to die peacefully before the reboot() call.

If the wtmp file exists, reboot logs itself as if it were a shutdown. This is done to prevent last(1) from talking about system-crashes. Reboot is registered as is in the log file.

Reboot can only be executed by the super-user. Any other caller will be refused, either by reboot(8) or by reboot(2).

SEE ALSO
reboot(2), shutdown(8), halt(8), boot(8).

BUGS
The error message's given by reboot are not always useful. There are several routines that can fail, but which are not fatal for the program.

AUTHOR
Edvard Tuinder (v892231@si.hhs.NL)